## libstdc++-riscv64-unknown-elf 7

=== debian/tests/hello-world/Makefile ===
#
# SPDX-License-Identifier: BSD-3-Clause
#
# Copyright © 2019 Keith Packard
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above
#    copyright notice, this list of conditions and the following
#    disclaimer in the documentation and/or other materials provided
#    with the distribution.
#
# 3. Neither the name of the copyright holder nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#

CFLAGS=--oslib=semihost -Os

CXXFLAGS_RISCV=$(CFLAGS) -march=rv32imac -mabi=ilp32 -Triscv-cpp.ld
CXX_RISCV=riscv64-unknown-elf-g++ -specs=picolibcpp.specs $(CXXFLAGS_RISCV)

test-hello-world: hello-worldpp-riscv.elf
	./run-riscv $^ | cmp - ./expected-output

hello-worldpp-riscv.elf:  hello-worldpp.cpp
	$(CXX_RISCV) -Wl,-Map=hello-worldpp-riscv.map -o $@ $^

clean:
	rm -f *.elf *.map

## libstdc++-riscv64-unknown-elf 2

=== debian/changelog ===
libstdc++-riscv64-unknown-elf (2) unstable; urgency=medium

  * Add lintian overrides

 -- Keith Packard <keithp@keithp.com>  Sun, 29 Sep 2024 21:49:15 -0700

libstdc++-riscv64-unknown-elf (1) unstable; urgency=medium

  * Initial release

 -- Keith Packard <keithp@keithp.com>  Sat, 28 Sep 2024 22:07:59 -0700

=== debian/control ===
Source: libstdc++-riscv64-unknown-elf
Section: devel
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends:
 autotools-dev,
 binutils-riscv64-unknown-elf,
 gcc-riscv64-unknown-elf,
 gcc-14-source,
 picolibc-riscv64-unknown-elf,
 bison,
 debhelper (>= 10),
 dejagnu,
 flex,
 gawk,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 rename,
Standards-Version: 4.2.0
Homepage: http://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/debian/libstdcxx-riscv64-unknown-elf.git
Vcs-Browser: https://salsa.debian.org/debian/libstdcxx-riscv64-unknown-elf

Package: libstdc++-riscv64-unknown-elf-dev
Architecture: all
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
Description: GNU Standard C++ Library v3 for Risc-V processors (headers)
 GNU Standard C++ library for embedded Risc-V chips.
 .
 This package contains shared headers

Package: libstdc++-riscv64-unknown-elf-picolibc
Architecture: all
Built-Using: ${Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 picolibc-riscv64-unknown-elf,
 libstdc++-riscv64-unknown-elf-dev,
Recommends:
 binutils-riscv64-unknown-elf,
 gcc-riscv64-unknown-elf,
Description: GNU Standard C++ Library v3 for Risc-V (picolibc)
 GNU Standard C++ library for embedded Risc-V chips.
 .
 This library is built using picolibc as standard C library.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify,-stackprotector

TARGET=riscv64-unknown-elf

GCC_VERSION=14
GCC_PACKAGE=gcc-$(GCC_VERSION)

include /usr/share/dpkg/pkg-info.mk

SVERSION := $(shell dpkg-query -W -f="\$${Version}\n" $(GCC_PACKAGE)-source)
DVERSION := $(SVERSION)+$(DEB_VERSION)
UVERSION := $(shell echo $(DVERSION) | cut -d- -f1)
BASE_VERSION := $(shell echo $(DVERSION) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')

TOP_DIR=$(shell pwd)
LIBSTDCXX_SDIR=$(TOP_DIR)/src/libstdc++-v3
STAMP_DIR=$(TOP_DIR)/debian/stamp
UNPACK=$(STAMP_DIR)/unpack
APPY_PATCHES=$(STAMP_DIR)/patches
BUILD_DIR=$(TOP_DIR)/build/libstdc++
BUILD_PICOLIBC_DIR=$(TOP_DIR)/build_picolibc/libstdc++
BUILD_PICOLIBC_RELEASE_DIR=$(TOP_DIR)/build_picolibc_release/libstdc++
PPICOLIBC=libstdc\+\+-arm-none-eabi-picolibc

CFLAGS := -ffile-prefix-map=$(TOP_DIR)=. -Wformat -Werror=format-security
CXXFLAGS := $(CFLAGS)

BUILDFLAGS_PICOLIBC=CFLAGS="--specs=picolibc.specs $(CFLAGS) -g -Os -ffunction-sections -fdata-sections" CXXFLAGS="--specs=picolibcpp.specs $(CXXFLAGS) -g -Os -ffunction-sections -fdata-sections" LDFLAGS="--specs=picolibc.specs $(LDFLAGS)"
BUILDFLAGS_PICOLIBC_RELEASE=CFLAGS="--specs=picolibc.specs --picolibc-buildtype=release $(CFLAGS) -g -O3 -ffunction-sections -fdata-sections" CXXFLAGS="--specs=picolibcpp.specs --picolibc-buildtype=release $(CXXFLAGS) -g -O3 -ffunction-sections -fdata-sections" LDFLAGS="--specs=picolibc.specs --picolibc-buildtype=release $(LDFLAGS)"

TARGET_TOOLS=\
	AR_FOR_TARGET=$(TARGET)-ar \
	AS_FOR_TARGET=$(TARGET)-as \
	LD_FOR_TARGET=$(TARGET)-ld \
	NM_FOR_TARGET=$(TARGET)-nm \
	OBJDUMP_FOR_TARGET=$(TARGET)-objdump \
	RANLIB_FOR_TARGET=$(TARGET)-ranlib \
	READELF_FOR_TARGET=$(TARGET)-readelf \
	STRIP_FOR_TARGET=$(TARGET)-strip

CONFIGURE_FLAGS = \
	--with-cross-host=$(DEB_HOST_GNU_TYPE) \
	--with-target-subdir="." \
	--enable-multilib \
	--disable-decimal-float \
	--disable-libffi \
	--disable-libgomp \
	--disable-libmudflap \
	--disable-libquadmath \
	--disable-libssp \
	--disable-libstdcxx-pch \
	--disable-nls \
	--disable-shared \
	--disable-threads \
	--enable-tls \
	--disable-plugin \
	--disable-libstdcxx-verbose \
	--mandir=/usr/share/man \
	--with-system-zlib \
	--with-gnu-as \
	--with-gnu-ld \
	--with-newlib \
	--with-headers=yes \
	"--with-pkgversion=$(DVERSION)" \
	--without-included-gettext \
	--with-host-libstdcxx="-static-libgcc -Wl,-Bstatic,-lstdc++,-Bdynamic -lm" \
	--enable-languages=c,c++ \
	--disable-option-checking \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--target=$(TARGET) \
	--host=$(TARGET) \
	$(TARGET_TOOLS)

CONFIGURE_FLAGS_PICOLIBC= \
	--enable-cstdio=stdio_pure \
	--disable-wchar_t \

%:
	dh $@

$(UNPACK):
	mkdir -p $(STAMP_DIR)
	mkdir -p src
	tar xf /usr/src/$(GCC_PACKAGE)/gcc-*.tar.* --strip-components=1 -C src
	set -ex; \
		cd src; \
		for patch in ../debian/patches/*.patch; do \
			echo Applying patch "$$patch"; \
			patch -p1 < "$$patch"; \
		done
	touch $@

override_dh_auto_configure: $(UNPACK)
	mkdir -p $(BUILD_PICOLIBC_DIR) $(BUILD_PICOLIBC_RELEASE_DIR)
	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_PICOLIBC_DIR) -- $(CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_PICOLIBC) $(BUILDFLAGS_PICOLIBC)
	dh_auto_configure -D$(LIBSTDCXX_SDIR) -B$(BUILD_PICOLIBC_RELEASE_DIR) -- $(CONFIGURE_FLAGS) $(CONFIGURE_FLAGS_PICOLIBC) $(BUILDFLAGS_PICOLIBC_RELEASE)

override_dh_auto_clean:
	rm -rf src build* debian/*tmp* $(STAMP_DIR)

override_dh_auto_test:
	@echo "no testing, that's way too painful"

override_dh_gencontrol:
	dh_gencontrol -- -v$(DVERSION) -Vlocal:Version=$(UVERSION) -Vgcc:Version=$(SVERSION)

override_dh_auto_build:
	dh_auto_build -B $(BUILD_PICOLIBC_DIR)
	dh_auto_build -B $(BUILD_PICOLIBC_RELEASE_DIR)

override_dh_auto_install:
	dh_auto_install -B $(BUILD_PICOLIBC_DIR) --destdir debian/tmp/picolibc
	dh_auto_install -B $(BUILD_PICOLIBC_RELEASE_DIR) --destdir debian/tmp/picolibc-release
	find debian/tmp -name "*.la" -exec rm -f {} +

override_dh_install:
	dh_install

override_dh_strip:
	dh_strip -X.a

=== debian/tests/control ===
Tests: build-examples
Restrictions:
    allow-stderr
Depends: @,
 gcc-riscv64-unknown-elf,

## libstdc++-riscv64-unknown-elf 4

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  autotools-dev,
  binutils-riscv64-unknown-elf,
  gcc-riscv64-unknown-elf,
- gcc-14-source,
  picolibc-riscv64-unknown-elf,
  bison,
  debhelper (>= 10),
@@ -35,7 +34,6 @@
 
 Package: libstdc++-riscv64-unknown-elf-dev
 Architecture: all
-Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -47,7 +45,6 @@
 
 Package: libstdc++-riscv64-unknown-elf-picolibc
 Architecture: all
-Built-Using: ${Built-Using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## libstdc++-riscv64-unknown-elf 5

=== debian/changelog ===
libstdc++-riscv64-unknown-elf (5) unstable; urgency=medium

  * Add dependency on compiler. Closes: #1102539.

 -- Keith Packard <keithp@keithp.com>  Thu, 10 Apr 2025 17:59:53 -0700

libstdc++-riscv64-unknown-elf (4) unstable; urgency=medium

  * Add local copy of gcc source code.

 -- Keith Packard <keithp@keithp.com>  Fri, 31 Jan 2025 23:01:35 -0800

libstdc++-riscv64-unknown-elf (3) unstable; urgency=medium

  * Replace tests with something that works

 -- Keith Packard <keithp@keithp.com>  Wed, 08 Jan 2025 12:24:37 -0800

## libstdc++-riscv64-unknown-elf 7

=== debian/changelog ===
libstdc++-riscv64-unknown-elf (7) unstable; urgency=medium

  * Fix broken upload.

 -- Keith Packard <keithp@keithp.com>  Fri, 23 May 2025 08:49:25 -0700

libstdc++-riscv64-unknown-elf (6) unstable; urgency=medium

  * Update run-riscv script. Closes: #1104064.

 -- Keith Packard <keithp@keithp.com>  Tue, 13 May 2025 08:49:06 -0700

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ gcc-riscv64-unknown-elf,
 Recommends:
 Description: GNU Standard C++ Library v3 for Risc-V processors (headers)
  GNU Standard C++ library for embedded Risc-V chips.
@@ -50,8 +51,6 @@
  ${shlibs:Depends},
  picolibc-riscv64-unknown-elf,
  libstdc++-riscv64-unknown-elf-dev,
-Recommends:
- binutils-riscv64-unknown-elf,
  gcc-riscv64-unknown-elf,
 Description: GNU Standard C++ Library v3 for Risc-V (picolibc)
  GNU Standard C++ library for embedded Risc-V chips.

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,14 @@
 
 TARGET=riscv64-unknown-elf
 
-GCC_VERSION=14
-GCC_PACKAGE=gcc-$(GCC_VERSION)
+GCC_VERSION=14.2.0
 
 include /usr/share/dpkg/pkg-info.mk
 
-SVERSION := $(shell dpkg-query -W -f="\$${Version}\n" $(GCC_PACKAGE)-source)
+SVERSION := $(GCC_VERSION)
 DVERSION := $(SVERSION)+$(DEB_VERSION)
-UVERSION := $(shell echo $(DVERSION) | cut -d- -f1)
-BASE_VERSION := $(shell echo $(DVERSION) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
+UVERSION := $(GCC_VERSION)
+BASE_VERSION := $(shell echo $(DVERSION) | sed -e 's/\([1-9]\.[0-9]\).*/\1/')
 
 TOP_DIR=$(shell pwd)
 LIBSTDCXX_SDIR=$(TOP_DIR)/src/libstdc++-v3
@@ -84,7 +83,7 @@
 $(UNPACK):
 	mkdir -p $(STAMP_DIR)
 	mkdir -p src
-	tar xf /usr/src/$(GCC_PACKAGE)/gcc-*.tar.* --strip-components=1 -C src
+	tar xf debian/gcc-*.tar.* --strip-components=1 -C src
 	set -ex; \
 		cd src; \
 		for patch in ../debian/patches/*.patch; do \

=== debian/tests/control ===
Tests: build-hello
Restrictions:
    allow-stderr
Depends: @,
 gcc-riscv64-unknown-elf, qemu-system-riscv

## libstdc++-riscv64-unknown-elf 8

=== debian/changelog ===
libstdc++-riscv64-unknown-elf (8) unstable; urgency=medium

  * Switch to gcc-riscv64-unknown-elf-source

 -- Keith Packard <keithp@keithp.com>  Sat, 24 Jan 2026 19:20:29 -0800

=== debian/control ===
Source: libstdc++-riscv64-unknown-elf
Section: devel
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Rules-Requires-Root: no
Build-Depends:
 gcc-riscv64-unknown-elf-source (>= 15.2.0),
 binutils-riscv64-unknown-elf (>= 2.45.50),
 binutils-aarch64-none-elf (>= 2.45.50),
 gcc-riscv64-unknown-elf (>= 15.2.0),
 picolibc-riscv64-unknown-elf (>= 1.8.11),
 bison,
 debhelper (>= 10),
 dejagnu,
 flex,
 gawk,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 rename,
Standards-Version: 4.7.0
Homepage: http://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf
Vcs-Browser: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf

Package: libstdc++-riscv64-unknown-elf
Architecture: all
Depends:
 ${misc:Depends},
 picolibc-riscv64-unknown-elf (>= 1.8.11),
 gcc-riscv64-unknown-elf (= ${gcc:Version}),
Description: GNU Standard C++ Library v3 for embedded Risc-V processors
 GNU Standard C++ library for embedded Risc-V processors, both 32 and
 64 bit.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

TARGET_RISCV=riscv64-unknown-elf
PACKAGE_GCC_RISCV=gcc-$(TARGET_RISCV)
PACKAGE_GCC_SOURCE=gcc-riscv64-unknown-elf-source
PACKAGE_LIBSTDCXX_RISCV=libstdc++-$(TARGET_RISCV)
TOP_DIR=$(shell pwd)

GCC_BUILD_DIR_RISCV=$(TOP_DIR)/build-$(TARGET_RISCV)
GCC_SOURCE_DIR=$(TOP_DIR)/src
GCC_DEB_TMP_DIR_RISCV=$(TOP_DIR)/debian/$(PACKAGE_LIBSTDCXX_RISCV)-tmp

LIBSTDCXX_BUILD_DIR_RISCV=$(GCC_BUILD_DIR_RISCV)/libstdc++-v3

STAMP_DIR=$(TOP_DIR)/debian/stamp
UNPACK=$(STAMP_DIR)/unpack
GCC_SOURCE_VERSION := $(shell dpkg-query -W -f="\$${Version}\n" $(PACKAGE_GCC_SOURCE))
PACKAGE_VERSION := $(GCC_SOURCE_VERSION)+$(DEB_VERSION)

# these need to match the flags used in gcc-riscv64-unknown-elf

export DEB_BUILD_MAINT_OPTIONS=hardening=-format
BUILDFLAGS:=$(shell dpkg-buildflags --export=configure) INHIBIT_LIBC_CFLAGS="-DUSE_TM_CLONE_REGISTRY=0"

TARGET_TOOLS_RISCV=\
	AR_FOR_TARGET=$(TARGET_RISCV)-ar \
	AS_FOR_TARGET=$(TARGET_RISCV)-as \
	LD_FOR_TARGET=$(TARGET_RISCV)-ld \
	NM_FOR_TARGET=$(TARGET_RISCV)-nm \
	OBJDUMP_FOR_TARGET=$(TARGET_RISCV)-objdump \
	RANLIB_FOR_TARGET=$(TARGET_RISCV)-ranlib \
	READELF_FOR_TARGET=$(TARGET_RISCV)-readelf \
	STRIP_FOR_TARGET=$(TARGET_RISCV)-strip

CONFIGURE_GCC_FLAGS_LIBSTDC = \
	--enable-libstdcxx \
	--enable-hosted-libstdcxx

CONFIGURE_GCC_FLAGS_COMMON = \
	--with-gcc-major-version-only \
	--mandir=/usr/share/man \
	--enable-languages=c,c++,lto \
	--enable-multilib-space \
	--disable-decimal-float \
	--disable-libffi \
	--disable-libgomp \
	--disable-libmudflap \
	--disable-libquadmath \
	--disable-libssp \
	--disable-libstdcxx-pch \
	--disable-nls \
	--disable-shared \
	--disable-threads \
	--enable-tls \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--with-system-zlib \
	--with-gnu-as \
	--with-gnu-ld \
	"--with-pkgversion=$(DEB_VERSION)" \
	--without-included-gettext \
	--prefix=/usr \
	--libexecdir=/usr/libexec \
	--libdir=/usr/lib \
	--host=$(DEB_HOST_GNU_TYPE) \
	--with-headers=no \
	--with-picolibc \
	--without-newlib \
	$(CONFIGURE_GCC_FLAGS_LIBSTDC) \
	$(BUILDFLAGS) \
	SED=/bin/sed \
	SHELL=/bin/sh \
	BASH=/bin/bash \
	CONFIG_SHELL=/bin/bash \

CONFIGURE_GCC_FLAGS_RISCV = \
	$(CONFIGURE_GCC_FLAGS_COMMON) \
	--target=$(TARGET_RISCV) \
	--enable-multilib \
	--includedir=/usr/$(TARGET_RISCV)/include \
	--infodir=/usr/share/doc/$(PACKAGE_GCC_RISCV)/info \
	--htmldir=/usr/share/doc/$(PACKAGE_GCC_RISCV)/html \
	--pdfdir=/usr/share/doc/$(PACKAGE_GCC_RISCV)/pdf \
	--with-cmodel=medany \
	--with-arch=rv64imafdc \
	$(TARGET_TOOLS_RISCV)

%:
	dh $@

override_dh_auto_configure: $(UNPACK)
	dh_auto_configure -D$(GCC_SOURCE_DIR) -Bbuild-$(TARGET_RISCV) -- $(CONFIGURE_GCC_FLAGS_RISCV)

override_dh_auto_build:
	dh_auto_build -Bbuild-$(TARGET_RISCV) -- all-target-libstdc++-v3

# remove the libtool dregs
override_dh_auto_install:
	$(MAKE) install-target-libstdc++-v3 -C$(GCC_BUILD_DIR_RISCV) DESTDIR=$(GCC_DEB_TMP_DIR_RISCV)
	find $(GCC_DEB_TMP_DIR_RISCV) -name *.la -exec rm '{}' +

override_dh_auto_test:
	@echo "no testing, that's way too painful"

override_dh_clean:
	rm -rf build-$(TARGET_RISCV)
	rm -rf $(GCC_BUILD_DIR_RISCV)
	rm -rf $(GCC_DEB_TMP_DIR_RISCV)
	rm -rf $(GCC_SOURCE_DEB_TMP_DIR)
	dh_clean

override_dh_strip:
	dh_strip -X.a

override_dh_install:
	dh_install -p$(PACKAGE_LIBSTDCXX_RISCV) --sourcedir $(GCC_DEB_TMP_DIR_RISCV)

$(UNPACK):
	mkdir -p $(STAMP_DIR)
	mkdir -p $(GCC_SOURCE_DIR)
	tar xf /usr/src/$(PACKAGE_GCC_SOURCE).tar.* -C $(GCC_SOURCE_DIR)
	touch $@

override_dh_gencontrol:
	dh_gencontrol -- -v$(PACKAGE_VERSION) -Vgcc:Version=$(GCC_SOURCE_VERSION)

## libstdc++-riscv64-unknown-elf 9

=== debian/changelog ===
libstdc++-riscv64-unknown-elf (9) unstable; urgency=medium

  * Fix salsa URLs. Closes: #1129498.

 -- Keith Packard <keithp@keithp.com>  Mon, 02 Mar 2026 09:28:49 -0800

=== debian/control ===
--- 
+++ 
@@ -31,11 +31,12 @@
  rename,
 Standards-Version: 4.7.0
 Homepage: http://gcc.gnu.org/
-Vcs-Git: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf
-Vcs-Browser: https://salsa.debian.org/debian/libstdc++-riscv64-unknown-elf
+Vcs-Git: https://salsa.debian.org/debian/libstdcxx-riscv64-unknown-elf
+Vcs-Browser: https://salsa.debian.org/debian/libstdcxx-riscv64-unknown-elf
 
 Package: libstdc++-riscv64-unknown-elf
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  picolibc-riscv64-unknown-elf (>= 1.8.11),
